Get pending invitations for organisation
curl --request GET \
--url https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}/invitations \
--header 'Authorization: <api-key>'import requests
url = "https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}/invitations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://wmc.wiremockapi.cloud/v1/organisations/{organisationId}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invitations": [
{
"id": "neqek",
"senderId": "9gd5l",
"recipientEmailAddress": "tom+docsmember2@wiremock.io",
"newUser": true,
"role": "organisation_admin",
"created": "2024-10-30T19:28:23.802551Z",
"links": {
"self": "/v1/organisations/mgk7g/invitations/neqek"
}
}
]
}Organisations
Get pending invitations for organisation
GET
/
v1
/
organisations
/
{organisationId}
/
invitations
Get pending invitations for organisation
Path Parameters
The ID of the organisation
Required string length:
5 - 10Example:
"jjl8y"
Query Parameters
The search query to filter by. Partially matched against recipient email address.
Example:
"docs@example.com"
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I